Notification handlers
Get Channel Template By Id
Get a channel template by id.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
projectId*string
notificationHandlerId*string
templateId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/notification-handlers/string/channel-templates/string"{
"status": "success",
"message": "string",
"data": {
"id": "string",
"name": "string",
"handlerChannelConfigurationId": "string",
"isTemplatePublished": true,
"appVariables": [
"string"
],
"customVariables": [
"string"
],
"dynamicVariables": null,
"templateVariables": null,
"channelType": "in_app",
"templateData": {
"content": {
"subject": "string",
"data": null,
"attachments": "string"
},
"channelType": "in_app",
"templateDataType": "external",
"externalTemplates": null
},
"handlerChannelTemplateProviderSyncState": "draft"
},
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}